package com.ruoyi.framework.recovery.mapper;

import com.ruoyi.common.core.domain.entity.WxUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户Mapper接口
 *
 * @author jin
 * @date 2024-12-01
 */
public interface WxUserMapper
{
    /**
     * 查询用户
     *
     * @param id 用户主键
     * @return 用户
     */
    public WxUser selectWxUserById(Long id);

    /**
     * 查询用户列表
     *
     * @param wxUser 用户
     * @return 用户集合
     */
    public List<WxUser> selectWxUserList(WxUser wxUser);

    /**
     * 新增用户
     *
     * @param wxUser 用户
     * @return 结果
     */
    public int insertWxUser(WxUser wxUser);

    /**
     * 修改用户
     *
     * @param wxUser 用户
     * @return 结果
     */
    public int updateWxUser(WxUser wxUser);

    /**
     * 删除用户
     *
     * @param id 用户主键
     * @return 结果
     */
    public int deleteWxUserById(Long id);

    /**
     * 批量删除用户
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxUserByIds(Long[] ids);

    /**
     * 根据用户名查询
     *
     * @param openid 用户名
     * @return 结果
     */
    WxUser selectWxUserByOpenid(@Param("openid") String openid);

}
